- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseWallRecords/fetchActivitiesCount#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseWallRecords/fetchActivitiesCount#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseWallRecords/fetchActivitiesCount#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseWallRecords/fetchActivitiesCount#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseWallRecords/fetchActivitiesCount#body.FetchActivitiesCountResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseWallRecords/fetchActivitiesCount#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseWallRecords/fetchActivitiesCount#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseWallRecords.fetchActivitiesCount

Returns the count of case activities, optionally filtered by type. Use this method to understand the volume and distribution of different types of investigative events within a case.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/caseWallRecords:fetchActivitiesCount`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseWallRecords |

### Request body

The request body must be empty.

### Response body

Response message for caseWallRecords.fetchActivitiesCount this return the number of activities for a given type.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "actions": integer, "statusChanges": integer, "tasks": integer, "comments": integer, "insights": integer, "pinnedChatMessages": integer, "favorite": integer } ``` |

| Fields ||
|---|---|
| `actions` | `integer` Output only. The number of actions type wall records. |
| `statusChanges` | `integer` Output only. The number of status changes type wall records. |
| `tasks` | `integer` Output only. The number of tasks type wall records. |
| `comments` | `integer` Output only. The number of comments type wall records. |
| `insights` | `integer` Output only. The number of insights type wall records. |
| `pinnedChatMessages` | `integer` Output only. The number of pinned chat messages type wall records. |
| `favorite` | `integer` Output only. The number of favorite type wall records. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.caseWallRecords.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).